0
ROM "TrustZone" error flashing Marshmallow!!

  1. lostLambda
    Lollipop Nov 24, 2015

    lostLambda , Nov 24, 2015 :
    Code:
    Comparing TZ version TZ.BF.2.0-2.0.0123 to TZ.BF.2.0-2.0.0109
    assert failed: oppo.verify_trustzone("TZ.BF.2.0-2.0.0123") == "1"
    E:Installation aborted.
    I keep getting the same error message no matter which Marshmallow zip ROM I try to flash. I even tried switching from TWRP to philz recovery. With philz, I get the exact same error message, so the issue doesn't seem to be with my recovery utility. Please, does anyone have any insight on the prob?
     

    #1
  2. jstepa
    KitKat Nov 24, 2015

    jstepa , Nov 24, 2015 :
    What's your baseband and TWPR version?
    Try to flash Official Oneplus Firmware first, TWRP shoud not be newer than 2.8.6.0, or the modem won't flash properly.
     

    #2
  3. lokesh3440
    Honeycomb Nov 24, 2015

    lokesh3440 , Nov 24, 2015 :
    Flash most recent CM12.1 nightly before flashing Marshmallow CM 13 nightlies.
     

    #3
    lostLambda likes this.
  4. jstepa
    KitKat Nov 24, 2015

    jstepa , Nov 24, 2015 :
    Won't help if the TWRP is newer than 2.8.6.0, it won't flash the Firmware (modem) properly...
     

    #4
    lostLambda likes this.
  5. lostLambda
    Lollipop Nov 24, 2015

    lostLambda , Nov 24, 2015 :
    Thanks for the replies, gentlemen! I'll flash TWRP 2.8.6.0, then flash CM12.1, then try to flash CM13 nightlies.... Will report back with success/failure..........

    MAJOR EDIT:
    omg!!! where the other MM roms seem to have failed to flash, cm-13.0-20151124-NIGHTLY-bacon.zip flashed right away without having to have cm-12 previously installed at all! So stoked right now! Now I need to find MM gapps... :)
    So maybe there is a difference in the way some ROM developers package their ROMs into the zip file?
    Thanks a zillion, guys!
     
    Last edited: Nov 24, 2015

    #5
    AntMunny, Ceasedd and jstepa like this.
  6. lokesh3440
    Honeycomb Nov 24, 2015

    lokesh3440 , Nov 24, 2015 :
    That's because official nightlies contains firmware but unofficial doesn't. They don't include it just to reduce the build size and time required to build it.
     

    #6
    lostLambda likes this.
  7. lostLambda
    Lollipop Nov 25, 2015

    lostLambda , Nov 25, 2015 :
    I'd still like to know what the "TrustZone" error is all about....
     

    #7
  8. butaixyz8016
    Honeycomb Nov 25, 2015


    #8
    lostLambda likes this.
  9. brolaire
    Honeycomb Nov 25, 2015

    brolaire , Nov 25, 2015 :
    That simply checks your firmware, if it's inferior than the one asked, it will abort the flash. You simply need to get an updated firmware and flash it before flashing the ROM. No less, no more.
     

    #9
    lostLambda likes this.